# riscv::register::hip - Rust
Hypervisor Interrupt Pending Register.
Keywords: rust, rustlang, rust-lang, hip

# Module riscv::register::hip

source · [−]
Expand description

Hypervisor Interrupt Pending Register.

## Structs

Hip

## Functions

clear_sgeip ⚠

Guest External Interrupt

clear_vseip ⚠

External Interrupt

clear_vssip ⚠

Software Interrupt

clear_vstip ⚠

Timer Interrupt

read

Reads the CSR

set_sgeip ⚠

Guest External Interrupt

set_vseip ⚠

External Interrupt

set_vssip ⚠

Software Interrupt

set_vstip ⚠

Timer Interrupt